%define upstream_name    Geo-Mercator
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Compute Mercator Projection of latitude/longitude into meters
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch


%description
Computes Mercator Projection of input latitude/longitude coordinates (in
degrees) into (x, y) coordinates (as distances in meters) from the
meridian/equator. Also provides a method to convert back into latitude,
longitude.

Notes
    Use of Mercator projection on latitudes above/below +70/-70 degrees is
    strongly discouraged, due to the gross distortions of the projection.
    In fact, any use of the Mercator projection is strongly
    discouraged...but its the view we've all been programmed to see for 400
    years, so its genetic sense memory by now. And if its good enough for
    Google, its good enough for me.

    This module was developed primarily for graphic rendering purposes. The
    returned distance values *should not be used for navigational
    purposes*. They are only useful for certain mapping operations, e.g.,
    rendering a map to scale. For better approximations of actual
    distances, consider the Math::Trig manpage's great_circle_distance()
    function instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc MANIFEST
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.10.0-11.mga9
+ Revision: 1803822
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-10.mga8
+ Revision: 1494690
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.10.0-9.mga7
+ Revision: 1268201
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-8.mga6
+ Revision: 1027778
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.10.0-7.mga6
+ Revision: 930217
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-6.mga5
+ Revision: 747441
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 684843
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-4.mga4
+ Revision: 511825
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-3.mga3
+ Revision: 367644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.10.0-2.mga1
+ Revision: 29477
- no meta.yml
- rebuild

* Sun Jan 09 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 3030
- imported package perl-Geo-Mercator

